Bug 486425 - Hiding unused columns while reporting bugs
Hiding unused columns while reporting bugs
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 12:42 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2009-02-19 12:42:42 EST
While reporting bugs it's annoying to scroll down the whole page over different items that are not used. 

For instance:
 - QA Contact
 - Estimated Hours 
 - Deadline
 - Fixed in Version 
 - Issues Trackers (not valid for Fedora)
 - Build ID
 - Target Release
 - Release notes (I haven't seen a bug where someone would write release notes while filing a bug)
 - Initial state (since it will always be new why display it)
 - Clone of (this get usually filed automagically while cloning a bug)

I suggest that these items are not visible by default, and are displayed on demand (similar how the CC list is handled). 

Furthermore, when reporting bugs for Fedora some fields can be completely hidden, like:
 - Issues Trackers (not valid for Fedora)
 - Customer facing (do we even use this?)
 - Partner
 - Flags
Comment 1 David Lawrence 2009-02-23 14:48:43 EST
I admit with all of the new custom fields, etc. that others are requesting, the page is starting to get over polluted. FWIW there is a guided bug entry page which dumbs down the interface a little bit. 

I suppose the proper solution would be to have a section just for the lesser used fields that is collapsed out of view and can be expanded if the user desires.

We would need to figure out which fields would need to go in that area based on the usage statistics of each field.

The Fixed In and Release Notes field can be hidden from view pretty easily but the others may be useful to some.

Dave
Comment 2 David Lawrence 2009-02-23 14:49:58 EST
The Fixed In and Release Notes fields should now be hidden in the enter_bug.cgi page.
Comment 3 David Kovalsky 2009-02-23 15:10:51 EST
Hi Dave, 

thanks for the change! We'll get to the ideal by small incremental changes  :-) 

Can you take a look into the database if there are some fields that are seldom used? As discussed on qe-dept-list/pit-list, we could possibley have
 - per release preferences of which fields are shown
 - per user preferences of used/hidden fields

Also, I've received a notice from Evangeline McGlynn <emcglynn@redhat.com>, that BZ interface is currently being analyzed. We'll chat next week, which may bring more ideas.
Comment 4 Kevin Baker 2009-02-23 15:30:00 EST
(In reply to comment #3)
> Also, I've received a notice from Evangeline McGlynn <emcglynn@redhat.com>,
> that BZ interface is currently being analyzed. We'll chat next week, which may
> bring more ideas.

yes, I was just going to say that I've put in a request to the design team to review bugzilla. I'd prefer that we don't spend a lot of cycles on this until we've got their feedback.
Comment 5 David Lawrence 2010-01-15 12:32:53 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 6 David Kovalsky 2010-01-18 09:41:23 EST
Still a large number of irrelevant fields. Do we have output from the design team with regards to this bug?
Comment 7 David Lawrence 2010-08-25 17:43:11 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 8 David Kovalsky 2010-08-26 09:04:16 EDT
Still valid. 

Months have passed, what's the status on the design team feedback (and implementation?).
Comment 9 David Lawrence 2010-08-26 10:45:28 EDT
Just for clarity, today's enter_bug.cgi page when the advanced fields are hidden by clicking on "Hide Advanced Fields", we only have the following fields visible.

Component
Version
Severity
Hardware
OS
Summary
Description

Which fields should further be removed? People are probably now aware that if they click on "Show Advanced Fields" they are going to get a lot of irrelevant fields to choose from so most people can just leave those hidden unless they really need them.

Dave
Comment 10 David Kovalsky 2010-08-26 11:35:27 EDT
Wow, just noticed the 'Hide advanced fields' link. It's between a fair amount of other links and text. This is not very user friendly. I userstand links as "take me there" as opposed to buttons "do action foo". Also some icon would be nice. 

Furthermore - I wonder if the default can be to hide and provide a 'show advanced fields' view.
Comment 11 David Lawrence 2010-08-26 11:39:03 EDT
I admit is should be more obvious what to do. Maybe a button instead of a hyper link? The default behavior is the hide advanced fields. It is based on a cookie call TUI. If the user clicks "Show Advanced Fields", it sets a cookie so it remembers the next time you go to enter_bug.cgi.

Dave
Comment 12 Jeff Fearn 2012-05-30 00:45:05 EDT
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 13 Jeff Fearn 2012-05-30 00:45:07 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 14 Jeff Fearn 2012-07-19 01:26:24 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.